Index: LMDZ6/branches/LMDZ_cdrag_LSCE/libf/phylmd/newmicro.F90
===================================================================
--- LMDZ6/branches/LMDZ_cdrag_LSCE/libf/phylmd/newmicro.F90	(revision 4662)
+++ LMDZ6/branches/LMDZ_cdrag_LSCE/libf/phylmd/newmicro.F90	(revision 4669)
@@ -3,5 +3,5 @@
 SUBROUTINE newmicro(flag_aerosol, ok_cdnc, bl95_b0, bl95_b1, paprs, pplay, t, pqlwp, picefra, pclc, &
     pcltau, pclemi, pch, pcl, pcm, pct, pctlwp, xflwp, xfiwp, xflwc, xfiwc, &
-    mass_solu_aero, mass_solu_aero_pi, pcldtaupi, latitude_deg,re, fl, reliq, reice, &
+    mass_solu_aero, mass_solu_aero_pi, pcldtaupi, latitude_deg,distcltop, re, fl, reliq, reice, &
     reliq_pi, reice_pi)
 
@@ -12,4 +12,5 @@
   USE phys_state_var_mod, ONLY: rnebcon, clwcon
   USE icefrac_lsc_mod ! computes ice fraction (JBM 3/14)
+  USE lscp_ini_mod, only: iflag_t_glace
   USE ioipsl_getin_p_mod, ONLY : getin_p
   USE print_control_mod, ONLY: lunout
@@ -41,4 +42,5 @@
   ! bl95_b1-input-R-a PARAMETER, may be varied for tests (    -"-      )
   ! latitude_deg-input latitude in degrees
+  ! distcltop ---input- distance from cloud top
 
   ! re------output-R-Cloud droplet effective radius multiplied by fl [um]
@@ -97,4 +99,5 @@
   REAL pctlwp(klon)
 
+  REAL distcltop(klon,klev)
   LOGICAL lo
 
@@ -241,5 +244,5 @@
 
       IF (ok_new_lscp) THEN
-          CALL icefrac_lscp(klon,t(:,k),pplay(:,k)/paprs(:,1),zfice(:,k),dzfice(:,k))
+          CALL icefrac_lscp(klon,t(:,k),iflag_ice_thermo,distcltop(:,k),zfice(:,k),dzfice(:,k))
       ELSE
           CALL icefrac_lsc(klon,t(:,k),pplay(:,k)/paprs(:,1),zfice(:,k))
Index: LMDZ6/branches/LMDZ_cdrag_LSCE/libf/phylmd/nuage.F90
===================================================================
--- LMDZ6/branches/LMDZ_cdrag_LSCE/libf/phylmd/nuage.F90	(revision 4662)
+++ LMDZ6/branches/LMDZ_cdrag_LSCE/libf/phylmd/nuage.F90	(revision 4669)
@@ -2,9 +2,10 @@
 
 SUBROUTINE nuage(paprs, pplay, t, pqlwp,picefra, pclc, pcltau, pclemi, pch, pcl, pcm, &
-    pct, pctlwp, ok_aie, mass_solu_aero, mass_solu_aero_pi, bl95_b0, bl95_b1, &
+    pct, pctlwp, ok_aie, mass_solu_aero, mass_solu_aero_pi, bl95_b0, bl95_b1, distcltop, &
     cldtaupi, re, fl)
   USE dimphy
   USE lscp_tools_mod, only: icefrac_lscp
   USE icefrac_lsc_mod ! computes ice fraction (JBM 3/14)
+  USE lscp_ini_mod, only : iflag_t_glace
   USE phys_local_var_mod, ONLY: ptconv
   IMPLICIT NONE
@@ -49,5 +50,5 @@
 
   REAL pct(klon), pctlwp(klon), pch(klon), pcl(klon), pcm(klon)
-
+  REAL distcltop(klon,klev)
   LOGICAL lo
 
@@ -112,5 +113,5 @@
 !                           t_glace_max, exposant_glace)
         IF (ok_new_lscp) THEN
-            CALL icefrac_lscp(klon,t(:,k),pplay(:,k)/paprs(:,1),zfice(:),dzfice(:))
+            CALL icefrac_lscp(klon,t(:,k),iflag_ice_thermo,distcltop(:,k),zfice(:),dzfice(:))
         ELSE
             CALL icefrac_lsc(klon,t(:,k),pplay(:,k)/paprs(:,1),zfice(:))
Index: LMDZ6/branches/LMDZ_cdrag_LSCE/libf/phylmd/nuage.h
===================================================================
--- LMDZ6/branches/LMDZ_cdrag_LSCE/libf/phylmd/nuage.h	(revision 4662)
+++ LMDZ6/branches/LMDZ_cdrag_LSCE/libf/phylmd/nuage.h	(revision 4669)
@@ -2,25 +2,18 @@
 ! $Id$
 !
-      REAL rad_froid, rad_chau1, rad_chau2, t_glace_max, t_glace_min
-      REAL exposant_glace
+      REAL rad_froid, rad_chau1, rad_chau2
       REAL rei_min,rei_max
       REAL tau_cld_cv,coefw_cld_cv
-
       REAL tmax_fonte_cv
-
-      INTEGER iflag_t_glace, iflag_cloudth_vert, iflag_cld_cv
-      INTEGER iflag_rain_incloud_vol
-   
-      INTEGER iflag_gammasat, iflag_vice, iflag_rei
+      INTEGER iflag_cld_cv
+      INTEGER iflag_rei
       LOGICAL ok_icefra_lscp
 
-      common /nuagecom/ rad_froid,rad_chau1, rad_chau2,t_glace_max,     &
-     &                  t_glace_min,exposant_glace,rei_min,rei_max,     &
+      common /nuagecom/ rad_froid,rad_chau1, rad_chau2,                 &
+     &                  rei_min,rei_max,                                &
      &                  tau_cld_cv,coefw_cld_cv,                        &
      &                  tmax_fonte_cv,                                  &
-     &                  iflag_t_glace,iflag_cloudth_vert,iflag_cld_cv,  &
-     &                  iflag_rain_incloud_vol,                         &
-     &                  ok_icefra_lscp,                  &
-     &                  iflag_gammasat, iflag_vice,       &
+     &                  iflag_cld_cv,                                   &
+     &                  ok_icefra_lscp,                                 &
      &                  iflag_rei    
 !$OMP THREADPRIVATE(/nuagecom/)
Index: LMDZ6/branches/LMDZ_cdrag_LSCE/libf/phylmd/output_physiqex_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ_cdrag_LSCE/libf/phylmd/output_physiqex_mod.F90	(revision 4669)
+++ LMDZ6/branches/LMDZ_cdrag_LSCE/libf/phylmd/output_physiqex_mod.F90	(revision 4669)
@@ -0,0 +1,87 @@
+MODULE output_physiqex_mod
+
+
+
+CONTAINS 
+
+SUBROUTINE output_physiqex(debut,zjulian,pdtphys,presnivs,paprs,u,v,t,qx,cf,zqr,zqs,zqg,ptke,theta)
+
+      USE dimphy, only : klon,klev
+      USE iophy, only : histbeg_phy,histwrite_phy
+      USE ioipsl, only : histvert,histdef,histend,histsync
+      USE mod_phys_lmdz_para, only : jj_nb
+      USE ioipsl_getin_p_mod, ONLY : getin_p
+      USE mod_grid_phy_lmdz, ONLY: nbp_lon,nbp_lat
+      USE iophy, ONLY : init_iophy_new
+      USE geometry_mod, ONLY: latitude_deg, longitude_deg
+      USE infotrac_phy, only : nqtot
+
+
+
+implicit none
+logical, intent(in) :: debut
+real, intent(in) :: pdtphys,zjulian
+real,intent(in) :: presnivs(klev) ! pseudo-pressure (Pa) of mid-layers
+real,intent(in) :: u(klon,klev) ! eastward zonal wind (m/s)
+real,intent(in) :: v(klon,klev) ! northward meridional wind (m/s)
+real,intent(in) :: t(klon,klev) ! temperature (K)
+real,intent(in) :: theta(klon,klev) ! temperature (K)
+real,intent(in) :: paprs(klon,klev+1) ! interlayer pressure (Pa)
+real,intent(in) :: qx(klon,klev,nqtot) !tracers
+real,intent(in) :: cf(klon,klev) !cloud fraction
+real,intent(in) :: zqr(klon,klev) !rain specifiq content
+real,intent(in) :: zqs(klon,klev) !snow specifiq content
+real,intent(in) :: zqg(klon,klev) !graupel specifiq content
+real,intent(in) :: ptke(klon,klev) !tke
+
+real :: t_ops ! frequency of the IOIPSL operations (eg average over...)
+real :: t_wrt ! frequency of the IOIPSL outputs
+integer :: zvertid ! vertical coordinate ID
+real :: dtime
+
+integer,save :: iwrite_phys=1 ! output every iwrite_phys physics step
+!$OMP THREADPRIVATE(iwrite_phys)
+integer :: nhori ! horizontal coordinate ID
+integer,save :: nid_hist ! output file ID
+!$OMP THREADPRIVATE(nid_hist)
+integer, save :: itau=0
+!$OMP THREADPRIVATE(itau)
+
+integer, save :: ioex=1
+
+
+print*,'nnnnnnn ',nid_hist,debut,itau
+
+if(debut)then
+
+   call getin_p("iwrite_phys",iwrite_phys)
+
+   !$OMP MASTER
+   CALL iophys_ini(pdtphys)
+   !$OMP END MASTER
+   !$OMP BARRIER
+
+endif
+
+
+itau=itau+1
+
+if (modulo(itau,iwrite_phys)==0) then
+     call iophys_ecrit('temp',klev,'Temperature','K',t)
+     call iophys_ecrit('u',klev,'zonal wind','m/s',u)
+     call iophys_ecrit('v',klev,'meridinal wind','m/s',v)
+     call iophys_ecrit('ps',1,'Surface pressure','Pa',paprs(:,1))
+     call iophys_ecrit('qv',klev,'Water vapor specifiq content', 'kg/kg', qx(:,:,1))
+     call iophys_ecrit('qc',klev,'Cloud liquid water specifiq content', 'kg/kg', qx(:,:,2))
+     call iophys_ecrit('qi',klev,'Cloud solid water specifiq content', 'kg/kg', qx(:,:,3))
+     call iophys_ecrit('CF',klev,'Cloud fraction', '0-1', cf)
+     call iophys_ecrit('qr',klev,'Rain specifiq content', 'kg/kg', zqr)
+     call iophys_ecrit('qs',klev,'Snow specifiq content', 'kg/kg', zqs)
+     call iophys_ecrit('qg',klev,'Graupel specifiq content', 'kg/kg', zqg)
+     call iophys_ecrit('TKE',klev,'TKE', 'm2/s2', ptke)
+     call iophys_ecrit('theta',klev,'Temperature potentielle', 'K', theta)
+endif
+
+
+END SUBROUTINE output_physiqex
+END MODULE output_physiqex_mod
